diff --git a/books/bookvol4.pamphlet b/books/bookvol4.pamphlet
index 951ed1a..8345070 100644
--- a/books/bookvol4.pamphlet
+++ b/books/bookvol4.pamphlet
@@ -4818,6 +4818,25 @@ function SVGscale(scale) {
 </body>
 </html>
 \end{verbatim}
+
+\section{Adding Algebra}
+Suppose we want to add a new algebra file from a new pamphlet.
+For example, we want to add BLAS1.spad in books/newbook.pamphlet.
+The explanation for the steps follow. The steps are:
+\begin{enumerate}
+\item write the algebra code
+\item create the pamphlet file called newbook.pamphlet
+\item create a new section in newbook.pamphlet
+\item create the chunk name stanza in newbook.pamphlet
+\item insert BLAS1.spad into the new stanza
+\item create the dotabb stanza in newbook.pamphlet
+\item update src/algebra/Makefile.pamphlet to insert BLAS1.spad 
+\item update src/algebra/Makefile.pamphlet to insert BLAS1 into graph
+\item update the dotabb stanza in newbook.pamphlet
+\item update src/Makefile.pamphlet to copy the newbook file to src/algebra
+\item update \$globalExposureGroupAlist in bookvol5 to add BLAS1 to basic
+\end{enumerate}
+
 \section{Makefile}
 This book is actually a literate program\cite{2} and can contain 
 executable source code. In particular, the Makefile for this book
diff --git a/changelog b/changelog
index 216dc3e..8ae831c 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100401 tpd src/axiom-website/patches.html 20100401.03.tpd.patch
+20100401 tpd books/bookvol4 document steps for adding algebra
 20100401 tpd src/axiom-website/patches.html 20100401.02.tpd.patch
 20100401 tpd books/bookvol5 add Nelson Beebe and Steve Toleque
 20100401 tpd src/input/unittest2.input add Nelson Beebe and Steve Toleque
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 669aad9..d07a4cf 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2603,5 +2603,7 @@ src/input/zimmer.input run the zimmerman test suite<br/>
 faq FAQ 52: Who was User?<br/>
 <a href="patches/20100401.02.tpd.patch">20100401.02.tpd.patch</a>
 readme add Nelson Beebe and Steve Toleque to credits<br/>
+<a href="patches/20100401.03.tpd.patch">20100401.03.tpd.patch</a>
+books/bookvol4 document steps for adding algebra<br/>
  </body>
 </html>
